Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07412 Crash/Freeze Critical (emulation) Always Sep 10, 2019, 00:30 Sep 14, 2019, 07:07
Tester DJX View Status Public Platform MAME (Official Binary)
Assigned To jkm900 Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver vgmplay.cpp
Version 0.213 Fixed in Version 0.214 Build 64-bit
Summary 07412: vgmplay [chaotixju_md]: Crash attempting to play 32x audio pack
Description When attempting to load any 32X audio, MAME freezes and then eventually crashes.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.210
Affected Sets / Systems vgmplay [chaotixju_md]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.16881
Tafoid
Administrator
Sep 10, 2019, 01:55
edited on: Sep 10, 2019, 01:57
All variations of 32X, even the ones not using CDs are plainly flagged and should tell you in a big red screen that "THIS MACHINE DOESN"T WORK". That means if you can do anything with it, it is a miracle and beyond loading the bios roms, nothing is guaranteed.

As per long standing rules, developers have deemed no report for such machines shall be accepted unless it is a major regression. This doesn't sound like a regression at all and has likely never worked.
User avatar
No.16883
DJX
Tester
Sep 10, 2019, 13:19
This is for VGMPlay though.
The Genesis with 32X machine has that warning but VGMPlay gives no such "red" warning when attempting to play 32X audio.
User avatar
No.16884
Haze
Senior Tester
Sep 10, 2019, 13:26
32X isn't *that* bad, a lot of games are playable, it's mainly marked as NOT WORKING because a number of key titles don't run and the performance is way off (in reality the SH2s are massively slowed down by waitstates)

There's no reason audio should crash.
User avatar
No.16888
Tafoid
Administrator
Sep 10, 2019, 17:40
My mistake and I apologize for not examining your driver you reported.

Anyway, I can confirm attempting to play an entry from:
chaotixju_md
Knuckles' Chaotix 32X (GEN/MD)

Exception at EIP=00000000053ea8d8 (device_sound_interface::set_output_gain(int,float)+0x0018): ACCESS VIOLATION
While attempting to read memory at 0000000000000010
-----------------------------------------------------
Stack crawl:
  0000000000228fc0: 00000000053ea8d8 (device_sound_interface::set_output_gain(int, float)+0x0018)
  0000000000229090: 00000000038dd66d (vgmplay_state::load_file(device_image_interface&, char const*, int)::{lambda(device_t&, int, vgm_chip, unsigned int, unsigned int)#1}::operator()(device_t&, int, vgm_chip, unsigned int, unsigned int) const+0x00bd)
  0000000000229320: 00000000038f04b2 (vgmplay_state::load_file(device_image_interface&, char const*, int)+0x1102)
  0000000000229380: 000000000498e7b3 (snapshot_image_device::process_snapshot_or_quickload(void*, int)+0x0073)
  0000000000229430: 00000000054f963a (device_scheduler::timeslice()+0x074a)
  0000000000229510: 00000000054b67d8 (running_machine::run(bool)+0x0278)
  000000000022f1f0: 00000000039ab298 (mame_machine_manager::execute()+0x01d8)
  000000000022f460: 0000000003a1a206 (cli_frontend::start_execution(mame_machine_manager*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>,std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&)+0x0286)
  000000000022f630: 0000000003a1a555 (cli_frontend::execute(std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x0045)
  000000000022f690: 00000000039a93da (emulator_info::start_frontend(emu_options&, osd_interface&, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > >&)+0x002a)
  000000000022fe50: 000000000973b86d (main+0x017d)
  000000000022ff20: 00000000004013a5 (__tmainCRTStartup+0x0225)
  000000000022ff50: 000000000040150b (mainCRTStartup+0x001b)
  000000000022ff80: 0000000076ec556d (BaseThreadInitThunk+0x000d)
  000000000022ffd0: 000000007712385d (RtlUserThreadStart+0x001d)
User avatar
No.16891
Tafoid
Administrator
Sep 10, 2019, 21:10
https://github.com/mamedev/mame/commit/fd19c2aa3e05a3fa53b60c31dc7f4682ec85d13a
That appears to be the breaking commit - on May 8, 2019, from PR#5009.